%global module olefile

Name:           python-%{module}
Version:        0.46
Release:        %mkrel 1
Summary:        Python package to parse, read and write Microsoft OLE2 files
License:        BSD
Group:          Development/Python
URL:            https://pypi.python.org/pypi/olefile/
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-packaging
BuildRequires:  python3-setuptools
# without docs until we build sphinx
#BuildRequires:  python3-sphinx

%description
olefile is a Python package to parse, read and write Microsoft OLE2 files
(also called Structured Storage, Compound File Binary Format or Compound
Document File Format), such as Microsoft Office 97-2003 documents,
vbaProject.bin in MS Office 2007+ files, Image Composer and FlashPix files,
Outlook messages, StickyNotes, several Microscopy file formats, McAfee
antivirus quarantine files, etc.

%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
olefile is a Python package to parse, read and write Microsoft OLE2 files
(also called Structured Storage, Compound File Binary Format or Compound
Document File Format), such as Microsoft Office 97-2003 documents,
vbaProject.bin in MS Office 2007+ files, Image Composer and FlashPix files,
Outlook messages, StickyNotes, several Microscopy file formats, McAfee
antivirus quarantine files, etc..

%prep
%setup -qn %{module}-%{version}

# drop bundled egg-info
rm -rf olefile.egg-info/

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc README.md doc/License.rst
%{python3_sitelib}/*

%changelog
* Sat Mar 05 2022 TerryN <terryn94 at gmail.com> 0.46-1pclos2022
- update and rebuild for python 3.10

* Wed Apr 11 2018 marcin82 <fixxer1982 at gmail.com> - 0.45.1-1pclos2018
- Initial build for PCLinuxOS
